Modify ISSUE¶
POST /api/v1/issue/{issue_uuid}/modify
Overview¶
Get the role list
Route Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| issue_uuid | string | Y | issueUUID |
Body Request Parameters¶
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| name | string | Title name Example: name Allow empty: False $maxCustomLength: 256 |
|
| level | string | Level, corresponding to the level configuration uuid Example: level Allow empty: False Allow empty string: True |
|
| description | string | Description Example: description Allow empty: False |
|
| statusType | integer | The status of the issue Example: 10 Allow empty: False Optional values: [10, 15, 20, 25, 30] |
|
| extend | json | Additional extended information, default {} if no content Example: {} Allow empty: True |
|
| attachmentUuids | array | Attachment upload list uuid Example: [] Allow empty: True |
Parameter Supplementary Description¶
Basic Parameter Description
| Parameter Name | Parameter Type | Required | Parameter Description |
|---|---|---|---|
| name | string | N | issue title name |
| level | string | N | issue level, corresponding to the configured level uuid |
| statusType | integer | N | issue status, 10: Open, 15: Working, 20: Resolved, 25: Closed, 30: Pending |
| description | string | N | issue description information |
| attachmentUuids | array | N | Attachment upload list uuid, must be uploaded first via the /api/v1/attachment/upload interface |
| extend | json | N | Extension field, default pass {} |
level Field Description level is divided into system level/custom level (can be configured in configuration management)
| level | value | Parameter Description |
|---|---|---|
| P0 | system_level_0 | Pass parameter level: system_level_0, represents system level P0 |
| P1 | system_level_1 | Pass parameter level: system_level_1, represents system level P1 |
| P2 | system_level_2 | Pass parameter level: system_level_2, represents system level P2 |
| P3 | system_level_3 | Pass parameter level: system_level_3, represents system level P3 |
| xxx | issl_yyyyy | Pass parameter level: issl_yyyyy, represents custom level xxx |
Extended Field extend Description
| Parameter Name | Parameter Type | Required | Parameter Description |
|---|---|---|---|
| channels | array | N | # in the description content: expected issue delivery resource list, |
| linkList | array | N | Add issue links |
| members | array | N | @ in the description content: expected issue notification target members |
| manager | array | N | Responsible person information (user account uuid, email, team uuid) |
| extra | json | N | issue updater/responsible person email corresponding name and other information, used for frontend display |
extend field example:
{
"members": [
{
"type": "@",
"uuid": "acnt_xxxx32",
"exists": true
}
],
"channels": [
{
"type": "#",
"uuid": "chan_xxxx32",
"exists": true
}
],
"manager": [
"acnt_xxxxx",
"xxx@guance.com",
"group_xxx",
"xxx@guance.com"
],
"linkList": [
{
"name": "Resolve",
"link": "https://sd.com",
}
],
"extra":{
"updator": {
"name": "xxx",
"email": "xxx@guance.com",
},
"managerInfos": {
"xxx@guance.com": {"name": "111"},
"xxx@guance.com": {"name": "222"}
}
}
}